﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

using Spire.DataExport;

namespace Bug493
{
    class Program
    {
        static void Main(string[] args)
        {
            //creat table1
            DataTable customersTable = new DataTable("Customers");
            DataColumn customersColumn;
            DataRow customersRow;
            customersColumn = new DataColumn();
            customersColumn.DataType = System.Type.GetType("System.Int32");
            customersColumn.ColumnName = "CustID";
            customersTable.Columns.Add(customersColumn);
            customersColumn = new DataColumn();
            customersColumn.DataType = Type.GetType("System.String");
            customersColumn.ColumnName = "CustLName";
            customersTable.Columns.Add(customersColumn);
            for (int i = 0; i < 10; i++)
            {
                customersRow = customersTable.NewRow();
                customersRow["CustID"] = i;
                customersRow["CustLName"] = "Customer" + i.ToString();
                customersTable.Rows.Add(customersRow);
            }
            //creat table2
            DataTable productsTable = new DataTable("products");
            DataColumn productsColumn;
            DataRow productsRow;
            productsColumn = new DataColumn();
            productsColumn.DataType = System.Type.GetType("System.Int32");
            productsColumn.ColumnName = "productID";
            productsTable.Columns.Add(productsColumn);
            productsColumn = new DataColumn();
            productsColumn.DataType = Type.GetType("System.String");
            productsColumn.ColumnName = "productName";
            productsTable.Columns.Add(productsColumn);
            for (int i = 0; i < 10; i++)
            {
                productsRow = productsTable.NewRow();
                productsRow["productID"] = i;
                productsRow["productName"] = "Product" + i.ToString();
                productsTable.Rows.Add(productsRow);
            }
            //create workSheet1
            Spire.DataExport.XLS.WorkSheet workSheet1 = new Spire.DataExport.XLS.WorkSheet();
            workSheet1.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            workSheet1.SheetName = "Customers";
            workSheet1.DataTable = customersTable;
            //create workSheet2
            Spire.DataExport.XLS.WorkSheet workSheet2 = new Spire.DataExport.XLS.WorkSheet();
            workSheet2.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            workSheet2.SheetName = "Products";
            workSheet2.DataTable = productsTable;
            //export
            Spire.DataExport.XLS.CellExport expert = new Spire.DataExport.XLS.CellExport();
            expert.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            expert.Sheets.Add(workSheet1);
            expert.Sheets.Add(workSheet2);
            expert.SaveToFile("sample.xls");
        }
    }
}
